<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:
        Сделать валидацию формы:
        1. Логин не может быть пустым
        2. Пароли должны совпадть
        3. Пока не стоит что юзер согласен с лиц. соглашением - кнопка отправки не активна

        + бонус - то поле, которое не прошло валидацию подсвечивать красным.
                - которое прошло - подсвечивать зеленым.
    */
    window.addEventListener("load", function () {
      var MyValidateForm = document.getElementById('MyValidateForm');
      MyValidateForm.elements[4].setAttribute('disabled', 'disabled');
      document.getElementById('agree').addEventListener('click', function check() {
        if (document.getElementById('agree').checked == true) {
          MyValidateForm.elements[4].removeAttribute('disabled');
        } else {
          MyValidateForm.elements[4].setAttribute('disabled', 'disabled');
        }
      })      
      MyValidateForm.addEventListener("submit", function (e) {  // измените на onchange
        console.log(MyValidateForm.elements);
        if (MyValidateForm.elements[0].value == '') {
          MyValidateForm.elements[0].className = 'error';
          e.preventDefault();
        } 
        else if (MyValidateForm.elements[1].value != MyValidateForm.elements[2].value ) {
           // && MyValidateForm.elements[1].value == 0 && MyValidateForm.elements[2].value == 0
          MyValidateForm.elements[1].className = 'error';
          MyValidateForm.elements[2].className = 'error';
          e.preventDefault();
        }
        if (MyValidateForm.elements[1].value == MyValidateForm.elements[2].value) {
          MyValidateForm.elements[1].className = 'valid';
          MyValidateForm.elements[2].className = 'valid';          
        } 
        else if (MyValidateForm.elements[0].value != 0) {
          MyValidateForm.elements[0].className = 'valid';
        } 
        
      });

    });

  </script>
</head>
<body>

  <form id="MyValidateForm">
    <input name="Login" placeholder="Ваш логин" />
    <input type="password" placeholder="Ваш пароль" />
    <input type="password" placeholder="Повторите пароль" />
    <label for="agree">
      <span>Вы согласны с лицензионым соглашением.</span>
      <input type="checkbox" id="agree" />
    </label>
    <input type="submit" value="Отправить" />
  </form>
  <style>
    #MyValidateForm{
      width: 350px;
      display: flex;
      flex-direction: column;
    }

    #MyValidateForm input{
      margin-bottom: 10px;
      box-sizing: border-box;
      padding: 10px 20px;
    }

    .error {
      border-color: red;
    }

    .valid {
      border-color: green;
    }
  </style>
</body>
</html>
